Debian Bug report logs - #685924
support other uses cases in apt preferences handling

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Thanatermesis <thanatermesis@gmail.com>

Date: Sun, 26 Aug 2012 14:21:05 UTC

Severity: wishlist

Tags: moreinfo

Found in versions live-build/3.0~a57-1, live-build/3.0~a51-1, live-build/3.0~a67-1

Fixed in version live-build/3.0~a68-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685924; Package live-build. (Sun, 26 Aug 2012 14:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thanatermesis <thanatermesis@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 26 Aug 2012 14:21:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thanatermesis <thanatermesis@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: apt-preferences deconfigure broken [PATCH]
Date: Sun, 26 Aug 2012 16:18:38 +0200
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a57-1
Severity: important
Tags: patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

deconfigure of preferences and preferences.d that comes from
config/chroot_apt/ doesn't seems to do the correct work, this patch
includes the fix for the deconfiguring process



- -- Package-specific info:

- -- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.42

Versions of packages live-build recommends:
ii  cpio                            2.11-8
ii  gnu-fdisk                       1.2.4-3.1
ii  live-boot-doc                   3.0~a35-1
ii  live-config-doc                 3.0~a33-1
ii  live-manual-html [live-manual]  1:3.0~a13-1

Versions of packages live-build suggests:
ii  dosfstools       3.0.13-1
ii  fakeroot         1.18.4-2
ii  genisoimage      9:1.1.11-2
ii  git              1:1.7.10.4-1
ii  memtest86+       4.20-1.1
ii  mtools           4.0.17-1
pn  parted           <none>
ii  squashfs-tools   1:4.2-5
ii  sudo             1.8.5p2-1
pn  syslinux | grub  <none>
pn  uuid-runtime     <none>
pn  win32-loader     <none>

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQOjA+AAoJEKLHmb/f+NfCbBgP/3TOMefpjHczYeUWGJNGyJqQ
YrnMF76GzTdUr6QqYH0IEi4Cx+cAI7k77zPauJApuvrWO4sk89UxyzO+2HhnYxKo
ObBkjrjBEv0XG554KewSfjJW9j1lLr9GOsBxH2Y+X9bfml5IK7wVqduMoacY0L7m
ui8UN/c5tVfTmdcNCyCFo2gOiJ1FkzLm9TBKljgmrcm3ryGwfFBx5AAe5pgcDw9e
U7+I7JxWcdhrb+NRFSXgQaqOmeaGBp/c3RjIYdqhiNEVznpn+vZL+hLKorqPhsiE
Hz+BREOpucprUupo9nYwaiqcwTAZ40EEpA5ttr04/u+/eu8x5Jz2FvEs016fLRXk
eyVMxrHOf7tlwR3qiBJ+dc2OGs7f6I8UD0e3XBsiF98myVeEYhMy+EuAFE7+3GKW
NwTwiD/4vaQgzRrVu3bmrxzVAt4IwRpa9PgwA07j8dS8YwdbMX0nZANzAN5oCXo7
floahUbS/coTIksaoE3law1j8y4eSXWnrh/4MSYVB/p7/8Sn6ez1qPzK0YcQJJD0
34lJrmAIIPW5+kciSrTwA8VEqlQFy67ZBjVpaKEK1hD9KsNykj/G9bMFAIfrQ09Z
zd+ihqnoc8dz7GKaB8ztVdwRaPX6ek7CtP1UTsbhthMiWIqndC3SmtZg52nFewbY
dXRRQN2jXoMmPMB8L9Mr
=lVZ2
-----END PGP SIGNATURE-----
[patch.fix.deconfigure.apt-preferences.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685924; Package live-build. (Mon, 27 Aug 2012 10:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 27 Aug 2012 10:48:05 GMT) Full text and rfc822 format available.

Message #10 received at 685924@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Thanatermesis <thanatermesis@gmail.com>
Cc: 685924@bugs.debian.org
Subject: Re: Bug#685924: live-build: apt-preferences deconfigure broken [PATCH]
Date: Mon, 27 Aug 2012 12:45:42 +0200
retitle please improve apt preferences handling for other use cases
severity 685924 wishlist
tag 685924 - patch
tag 685924 moreinfo
thanks

On 08/26/2012 04:18 PM, Thanatermesis wrote:
> deconfigure of preferences and preferences.d that comes from
> config/chroot_apt/ doesn't seems to do the correct work, this patch
> includes the fix for the deconfiguring process

first, the whole /etc/apt/* handling in live-build is rubbish anyway and 
needs fixing, however..

can you elaborate what particular use case is broken for you? 
lb_chroot_apt assumes a couple of things and i'm not sure if it's just 
not good for your use case. e.g. the intention in lb is that your live 
image doesn't get 'tainted' with the temporary pinning through 
chroot_apt/ and that includes should be used for permanent pinning.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Severity set to 'wishlist' from 'important' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 Aug 2012 10:48:07 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 Aug 2012 10:48:07 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 Aug 2012 10:48:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'support other uses cases in apt preferences handling' from 'live-build: apt-preferences deconfigure broken [PATCH]' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 Aug 2012 10:51:09 GMT) Full text and rfc822 format available.

Added indication that bug 685924 blocks 685791 Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 Aug 2012 10:54:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685924; Package live-build. (Mon, 27 Aug 2012 18:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thanatermesis <thanatermesis@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 27 Aug 2012 18:39:07 GMT) Full text and rfc822 format available.

Message #25 received at 685924@bugs.debian.org (full text, mbox):

From: Thanatermesis <thanatermesis@gmail.com>
To: Debian Bug Tracking System <685924@bugs.debian.org>
Subject: live-build: description of my case and patch
Date: Mon, 27 Aug 2012 20:35:34 +0200
Package: live-build
Version: 3.0~a57-1
Followup-For: Bug #685924

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256


In my case, I have a .pref file in config/chroot_apt/ , in the
deconfigure step it exit with an error about "mv dir/file.pref.orig not
found", after to look at the code of the patched file it seems like it
does the wrong thing in the deconfigure step, so if im correct, the idea is:

- - in the install step it puts the original file to a saved copy and use ours, when finishes (deconfigure) it puts back the original one)

This patch removes some code that looks wrong for me (a typo in
copy-pasting the step for deconfigure?), and the bug is gone there

Thanatermesis


- -- Package-specific info:

- -- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.42

Versions of packages live-build recommends:
ii  cpio                            2.11-8
ii  gnu-fdisk                       1.2.4-3.1
ii  live-boot-doc                   3.0~a35-1
ii  live-config-doc                 3.0~a33-1
ii  live-manual-html [live-manual]  1:3.0~a13-1

Versions of packages live-build suggests:
ii  dosfstools       3.0.13-1
ii  fakeroot         1.18.4-2
ii  genisoimage      9:1.1.11-2
ii  git              1:1.7.10.4-1
ii  memtest86+       4.20-1.1
ii  mtools           4.0.17-1
pn  parted           <none>
ii  squashfs-tools   1:4.2-5
ii  sudo             1.8.5p2-1
pn  syslinux | grub  <none>
pn  uuid-runtime     <none>
pn  win32-loader     <none>

- -- no debconf information


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQO731AAoJEKLHmb/f+NfCCHgP/3AHUK9A+1IUGkDhVsnaVm40
Yvx7DMz+lJDfB7CT/BUZWV9NL8vS6XxyaW7ESIj2ZowY+qXlaaVQwiNw/mi+hy8p
1BhLqYmE90+H29LirZfaafAokyN309aGUc+gHfeRu+f/TreAQKnExirScLfDKY2J
mmwW+/IH4IcfjsKRLRP75+RjYehAU74JAPHW3Y5Bul+y8WSYEUpQFo+0EHYkRlP6
IsouwDdFbM1D3HIKWMh0W5mkmAnx+QZlTiqqoqS7T40j3mjLzhXMtMudBT2mPsuU
oGT+lPeFBPcA7bYTS9BzpIp7n608wrjjnggbXLcVooramjGlxmDxB/6nUIkYhb0y
vAdFp3k0J5jaKCdKbBgJei0b+gDx5D2nQ3pcjvpJM8MO5ew0WG+vzmY7RiFsYRJX
9C4anKI0OrUlglz8FsSOohFBaMRvlZZzNic6UI/1EqV39kKvTUpSr6sIBhWpjUe6
meQRVb8QhIljS/CuGbMNAxhjDvLVOMRWoXl/QnEjmckti4ztLOHUpwMRpZPQvNsX
+Pk/xoYrxgUEMxiO3ap0YLMF4xboNoI6p/7DWAVLyh92wpH2Pldu6ogk8b3iLjkE
OJWaICVeHnIBaMTEmWQba/MvaT2r97jhZbQRp/m25sRRPhGj2lmz92w6JOZR42pF
CvN5x+CNaQfxTClSxD0D
=L80t
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685924; Package live-build. (Tue, 13 Nov 2012 18:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thanatermesis <thanatermesis@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 13 Nov 2012 18:30:04 GMT) Full text and rfc822 format available.

Message #30 received at 685924@bugs.debian.org (full text, mbox):

From: Thanatermesis <thanatermesis@gmail.com>
To: Debian Bug Tracking System <685924@bugs.debian.org>
Subject: live-build: fixup patch
Date: Tue, 13 Nov 2012 19:28:26 +0100
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a51-1
Followup-For: Bug #685924

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Actually I don't know why this report still open, It is a patch for
solve a clear bug about duplicated/extra lines that was made by too-fast
copy-paste in development, a newer updated patch is attached to this
email in order to be applied to the SID version 

- -- Package-specific info:

- -- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.42

Versions of packages live-build recommends:
ii  cpio                            2.11-8
ii  gnu-fdisk                       1.2.4-3.1
ii  live-boot-doc                   3.0~a35-1
ii  live-config-doc                 3.0~a43-1
ii  live-manual-html [live-manual]  1:3.0~a13-1

Versions of packages live-build suggests:
ii  dosfstools       3.0.13-1
ii  fakeroot         1.18.4-2
ii  genisoimage      9:1.1.11-2
ii  memtest86+       4.20-1.1
ii  mtools           4.0.17-1
ii  parted           2.3-11
ii  squashfs-tools   1:4.2-5
ii  sudo             1.8.5p2-1
pn  syslinux | grub  <none>
pn  uuid-runtime     <none>
pn  win32-loader     <none>

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQopFKAAoJEKLHmb/f+NfCFRgQAJfaAkOiqxdWYUEOKNdMJiGg
+AY5s521cz4p9w4LzDDqhu1hZY/7QZXzw/sW4vHrvV128ayzC7K0Y9xQZ1SzuDMe
iBianylMAPTHo6dQzuHuLpf5TlqEk8bpBzoJJXbOn8615iDfVquUs0kZsp8JAA3B
sQWrIEZEnNOlexo1VpCvYh+j7DmcCtC/TsFrUldGdsCiukqilsVMUEWy63tT+0ZB
g69yDy++ICfiUD5RgWFC0swtXmPLBYEMzfgCLUIGSA3Pi3gGg+kyIYHw1e36G4bJ
iiZpWh3YOIhQnS84LcRFs9Wl1rfsFZ3I6cd7joPmtn/2COBBN4VfkXAro/ln+MRG
QlWj6DBJOu6LDtnAw2bdLc43fIr7Q3hMrv3FFT5JGOtd7R6mgCKz6nE0fLjRKmzn
C5gXdcNvY2nIFcMlDxb/zU4ubuDXlbGq8596G7tOAgYFXWaIxDgpTielJSPJhBI2
YpyUxi1FjE4/sk/rnaP3eMIOdyXLhQ2ayWd4U/XqBkKkfPBo0Vm/A/Hrv0FTUzi0
RDeLkQGbBRbhhbk8brtPrxofAFnx/jHa/fVVgOLbGb7KxPqIqBAgV5ca/yKpGFPq
yEDtMRbe4Gc2ffJgJWJq+WTDNrL8PZGp8+C/zDdT2dgRo8PTNIu0b95SWevZabT0
d/E1FdHg0+i1rJUynJOm
=/EHk
-----END PGP SIGNATURE-----
[patch.apt-prefs-deconfigure__sid.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685924; Package live-build. (Wed, 14 Nov 2012 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 14 Nov 2012 21:03:03 GMT) Full text and rfc822 format available.

Message #35 received at 685924@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Thanatermesis <thanatermesis@gmail.com>
Cc: 685924@bugs.debian.org
Subject: Re: Bug#685924: live-build: fixup patch
Date: Wed, 14 Nov 2012 21:59:21 +0100
tag 685924 - patch
thanks

On 11/13/2012 07:28 PM, Thanatermesis wrote:
> Actually I don't know why this report still open, It is a patch
> for solve a clear bug about duplicated/extra lines that was made by
> too-fast copy-paste in development

no, it's not.

the current behaviour is, as you it has been told on irc extensively,
on purpose and required when using the derivatives model. your
suggested patch breaks that. a correct fix is of course to support
both use cases, not breaking one to fix the other.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685924; Package live-build. (Mon, 19 Nov 2012 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thanatermesis <thanatermesis@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 19 Nov 2012 14:36:03 GMT) Full text and rfc822 format available.

Message #40 received at 685924@bugs.debian.org (full text, mbox):

From: Thanatermesis <thanatermesis@gmail.com>
To: Debian Bug Tracking System <685924@bugs.debian.org>
Subject: Re: support other uses cases in apt preferences handling
Date: Mon, 19 Nov 2012 15:33:31 +0100
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a67-1
Followup-For: Bug #685924

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi again,
After to review the comments I suppose that you are right about your
point, by other side like i said, this patch originated from a bug, so
this is a new proposed patch for the "real" bug

* first part: a simple typo in the "deconfigure actions"
* like you can see in the patch and the comment of my old report, is a wrong check (wants to act to the .orig file but it checks it exist another one)

Old report extract:
> I have a .pref file in config/chroot_apt/ , in the deconfigure step it exit with an error about "mv dir/file.pref.orig not found"...

- -- Package-specific info:

- -- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.42

Versions of packages live-build recommends:
ii  cpio                            2.11-8
ii  gnu-fdisk                       1.2.4-3.1
ii  live-boot-doc                   3.0~a35-1
ii  live-config-doc                 3.0.12-1
ii  live-manual-html [live-manual]  1:3.0~a13-1

Versions of packages live-build suggests:
ii  dosfstools       3.0.13-1
ii  fakeroot         1.18.4-2
ii  genisoimage      9:1.1.11-2
ii  git              1:1.7.10.4-1
pn  loadlin          <none>
ii  memtest86+       4.20-1.1
ii  mtools           4.0.17-1
ii  parted           2.3-11
ii  squashfs-tools   1:4.2-5
ii  sudo             1.8.5p2-1
pn  syslinux | grub  <none>
ii  uuid-runtime     2.20.1-5.2
pn  win32-loader     <none>

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQqkM7AAoJEKLHmb/f+NfCZSwQALmR5AZ10dYk+NuA4mWCqjP3
Hz3yDHUiZ7FclkBh5WkPeEDN84WQWK+lTVAjfF949o1HEu8wunwpMTf7nTFjs3D2
2JIwlLrKmJjIXxlh2PXtHJTgM2eDjG5635svbflV26G9fQMzlt3a28mzGp76dtJe
jgIP3VVQ6QYjJy2DCAYPPB5RW5fUZgqWSi7uHo47rerUqbvFRirZ9S9U0f3v5Thx
lqp8hTMdIhiRkQL40iH2NMlfjYbANCL657pzrxyEf2CGVdWsyUu2yLelIT57/atK
vPODJxO5dWUluXaTY/8R4+Gq597Gpbh2ECQtP+a4+7U1jBrmjzTbYLiz+djylDLa
vjxI/wCZS8bhpzR+20VAmQ5bWxQqVL6NXqSrHe8pS6o3i674f1P97WSyGFJ5PsNN
5f/gYCz57Pi6ScE28Nmv0J2BQt/dzQSFD9NMHtbiY10rhax0F30v2WRiJKU/Bswn
X3W5R5+UMMv772yk+MXU5AwxgU3HgXDeqaxTwYEQW/HRCI36BsoK/ct8rCMO5SJG
hvbBWSjLwpmYVVPkZoDgC7X57bDF//vTs5GTi955pYrWyzbkwuaJBz9Bp+RfbNCP
IRJjTA5rIYyroQXfgpgNGIEHdsRg0IW5V9kSMz9m8+JSUNEVxFeykmAwY8FL/V9h
DGcLzJ4lfA+jsngcmwzn
=nujM
-----END PGP SIGNATURE-----
[patch.apt-deconfigure-fixup.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685924; Package live-build. (Mon, 19 Nov 2012 15:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 19 Nov 2012 15:27:09 GMT) Full text and rfc822 format available.

Message #45 received at 685924@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Thanatermesis <thanatermesis@gmail.com>
Cc: 685924@bugs.debian.org
Subject: Re: Bug#685924: support other uses cases in apt preferences handling
Date: Mon, 19 Nov 2012 16:22:06 +0100
On 11/19/2012 03:33 PM, Thanatermesis wrote:
> * first part: a simple typo in the "deconfigure actions"

like said on irc, it's not a typo. it needs to be configured again in
these use cases.

> * like you can see in the patch and the comment of my old report,
> is a wrong check (wants to act to the .orig file but it checks it
> exist another one)

that indeed is a typo, applied, thanks.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 30 Nov 2012 14:51:14 GMT) Full text and rfc822 format available.

Notification sent to Thanatermesis <thanatermesis@gmail.com>:
Bug acknowledged by developer. (Fri, 30 Nov 2012 14:51:14 GMT) Full text and rfc822 format available.

Message #50 received at 685924-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 685924-close@bugs.debian.org
Subject: Bug#685924: fixed in live-build 3.0~a68-1
Date: Fri, 30 Nov 2012 14:49:27 +0000
Source: live-build
Source-Version: 3.0~a68-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685924@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 30 Nov 2012 15:09:48 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a68-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Live System Build Scripts
 live-build-cgi - Live System Build Scripts (CGI frontend)
Closes: 685924 693250 693732 694102 694723
Changes: 
 live-build (3.0~a68-1) unstable; urgency=low
 .
   [ Ben Armstrong ]
   * Fixing typo in cache directory names, thanks to Thanatermesis
     <thanatermesis@gmail.com>.
 .
   [ Daniel Baumann ]
   * Correcting copying of archive specific apt preferences files, thanks
     to Thanatermesis <thanatermesis@gmail.com> (Closes: #693250).
   * Correcting a typo in chroot_apt when re-configuring apt preferences,
     found by Thanatermesis <thanatermesis@gmail.com> (Closes: #685924).
 .
   [ Richard Nelson ]
   * Update git paths for cgi form.
   * Increased the maxlenth of the entry field cgipackages.list.chroot on
     l-b.cgi (Closes: #693732).
 .
   [ Daniel Baumann ]
   * Adding backwards compatible handling for squeeze and the ubuntus for
     old-style Contents files in the archive.
   * Adding default-preseeding for non-free firmware only when non-free is
     actually included, to avoid cluttering debconf db by default on all
     systems.
 .
   [ Richard Nelson ]
   * Correct typo on commit 11d97a6a5f17fe2c500a798aa4a32fa6889e409c
   * Correct another typo on commit
     11d97a6a5f17fe2c500a798aa4a32fa6889e409c
 .
   [ Daniel Baumann ]
   * Marking comments in checksum files as such to avoid harmless but
     anoying warning messages during live-boots medium integrity check.
   * Updating note about integrity check boot parameter within checksum
     files.
   * Adding default hook to remove linux-image backup files.
   * Using four letter digit prefixes for hooks like for consistency with
     all other live packages.
   * Adding dpkg-source local options.
   * Using hash rather than pipe as sed separator for writing boot
     parameters into bootloader configurations (Closes: #694723).
   * Replicating same qemu support within bootstrap_debootstrao for
     bootstrap_cdebootstrap too (Closes: #694102).
Checksums-Sha1: 
 6daadc72bcb7d4856b249cfd9b1a0cd9ace38179 1329 live-build_3.0~a68-1.dsc
 d4c24c28ff23440bc78cc8faf57bfda3aa8227f4 162676 live-build_3.0~a68.orig.tar.xz
 a5e68bca0f14bcc230da93949b8e25a8cf627349 49664 live-build_3.0~a68-1.debian.tar.xz
 9f73b1212b47484a660bc045c29c632d42f8ea6c 195824 live-build_3.0~a68-1_all.deb
 a38d72fc1a5a274cbf4297a9380b42b3c01d71df 73772 live-build-cgi_3.0~a68-1_all.deb
Checksums-Sha256: 
 060257ca9903c7b6623a02622d9363e6192baf1500f053b82e1259e52ba571ff 1329 live-build_3.0~a68-1.dsc
 ceda49eaf84bac26537e857f424ac8040cff32341536d267f928369b5292d9df 162676 live-build_3.0~a68.orig.tar.xz
 3b59f9407b3c3b5f57dbc0453006fcceb7f2f9b417b0df3d2079b5a68d55a942 49664 live-build_3.0~a68-1.debian.tar.xz
 a1dba8d3a2bad0c60ff9dbade3856cf9b288763b6fc9bc29aa3acd978da991ae 195824 live-build_3.0~a68-1_all.deb
 5a77fc1a9005079c70c0b63964f335831dfa40f4bcf380b8af411be1b2e4fd79 73772 live-build-cgi_3.0~a68-1_all.deb
Files: 
 f80a1ab14f7aebb2f7648b190649f00f 1329 misc optional live-build_3.0~a68-1.dsc
 67ca55ff571638d7a3eea883f0e171e7 162676 misc optional live-build_3.0~a68.orig.tar.xz
 b05c45c9b46a1d5f1b9dc0b8ff40b3ab 49664 misc optional live-build_3.0~a68-1.debian.tar.xz
 537445cd3d32781f234ec705838d79a4 195824 misc optional live-build_3.0~a68-1_all.deb
 35830884cc472967ae14e26e99d3ba35 73772 misc optional live-build-cgi_3.0~a68-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlC4whcACgkQ+C5cwEsrK564uACgxuOVMizslXCs6X5NgmuBlXzR
yWYAn0f8+qnTdzp0YRfaEKeECWMEguFA
=3MJx
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Mar 2013 07:26:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:40:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.